Bug 143709 - HAL's media check causes frequent "Device not ready" entries in /var/log/messages for SCSI Yamaha CRW4416S
HAL's media check causes frequent "Device not ready" entries in /var/log/mess...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-24 13:43 EST by Carsten Clasohm
Modified: 2015-01-04 17:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 18:43:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2004-12-24 13:43:50 EST
Description of problem:

With a Yamaha CRW4416S CD recorder attached to a Symbios Logic 53c810
SCSI controller, the kernel logs the following entry in
/var/log/messages every few seconds:

kernel: Device not ready.  Make sure there is a disc in the drive.


Version-Release number of selected component (if applicable):

hal-0.4.2-1.FC3, kernel-2.6.9-1.681_FC3


How reproducible:

Always. The log messages stop when I shut down the haldaemon service.


Additional info:

To get rid of the log entries, I wrote a .fdi file for hal, which
disables media checks for the CD writer. The contents of
/usr/share/hal/fdi/95userpolicy/yamaha.fdi are below:

<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- --> 

<deviceinfo version="0.2">

  <device>

    <!-- Disable media check for Yamaha CRW4416S CW write to get rid
    of "Device not ready.  Make sure there is a disc in the drive." in
    /var/log/messages. -->
    <match key="storage.bus" string="scsi">
      <match key="storage.vendor" string="YAMAHA">
        <match key="storage.model" string="CRW4416S">
          <merge key="storage.media_check_enabled"
type="bool">false</merge>
	</match>
      </match>
    </match>

  <device>
</deviceinfo>
Comment 1 David Zeuthen 2005-01-03 14:15:59 EST
The kernel shouldn't be printing these messages just because userspace
polls a drive - IIRC, this was fixed in a recent 2.6.10 Rawhide kernel
but I could be wrong. Reassigning to the kernel.
Comment 2 Henning Schmiedehausen 2005-02-11 06:52:38 EST
See Bug #143446. This is still present in 2.6.10-1.760 on FC3.
Comment 3 Dave Jones 2005-07-15 14:07:49 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Carsten Clasohm 2005-08-01 16:53:10 EDT
I've just tested this. Unfortunately, I still get the same lines in
/var/log/messages, with the same frequency, when I remove yamaha.fdi and restart
haldaemon.

This is with kernel-2.6.12-1.1372_FC3 and hal-0.4.7-1.FC3.
Comment 5 Kai Hambrecht 2005-08-19 05:39:33 EDT
Hi,

same here on a FC3 x86_64 box using kernel 2.6.12-1.1372_FC3 and
hal-0.4.7-1.FC3. The affected drive is "Vendor: YAMAHA Model: CDR400t"

Regards,
 Kai.
Comment 6 Dave Jones 2006-01-16 17:29:39 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Dave Jones 2006-02-03 00:33:40 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Griffiths 2006-02-23 15:09:05 EST
This is still occurring with kernel 2.6.15-1.1831_FC4.
Comment 9 Dave Jones 2006-07-29 01:19:47 EDT
At least in the latest kernels (I'm looking at 2.6.17 source right now), and
probably going back some time, it seems that these messages only get printed out
if the packet_command passed to the sr ioctl has the 'quiet' flag unset.

hald does seem to be setting this flag in its scsi_command_init() function. So
I'm somewhat puzzled why we're still seeing messages.

This is still happening with all the latest updates right ?
Comment 10 John Griffiths 2006-07-29 11:36:20 EDT
Still happening in kernel-2.6.17-1.2157_FC5.
Comment 11 Dave Jones 2006-07-29 13:27:49 EDT
coincidentally, last night a change got checked in upstream to just remove those
printk's, I'll make the same change in Fedora.
Comment 12 Henning Schmiedehausen 2006-07-29 16:30:28 EDT
After an amazing 19 months, someone from Redhat acknowledges that

a) this is a problem
b) a fix is needed

and actually committed "a change upstream". Terrific. I will not hold my breath,
though. 

(If you spot the sarcasm, you are allowed to keep it).
Comment 13 Dave Jones 2006-09-16 22:05:56 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 14 Dave Jones 2006-10-16 14:12:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 15 John Griffiths 2006-10-30 09:44:01 EST
No longer see this message in 2.6.18-1.2200.fc5

Note You need to log in before you can comment on or make changes to this bug.